Help - Search - Members - Calendar
Full Version: Pdaxqtrom & Apps
OESF Forums > Distros, Development, and Model Specific Forums > Everything Development > X/Qt
Pages: 1, 2
Jon_J
I hope nobody minds me starting a dedicated thread for pdaXqtrom.
I thought it would be easier to search.

Meanie has posted information about pdaXqtrom here:
http://www.oesf.org/forums/index.php?showtopic=16209
and here:
http://www.oesf.org/forums/index.php?showtopic=18789

BTW, Thank you Meanie for such a comprehensive package. smile.gif

I'm not an experienced Linux user, so many of the applications in the apps package are foreign to me.
I'm using the cramfs versions.
I installed pdaXqtrom 1.1.0 - beta 0.7.5 first all by itself.
Then later decided to install pdaXqtApps - beta 0.7.5
I have this installed to a 128MB Lexar SD card formatted as ext2
I haven't installed zgcc2-95-2
I have a couple questions, and observations to list.
I use Cacko Lite 1.23 on my C3100
I enabled a 128MB swapfile in Cacko.

Do I need the automounter? I assumed it is already installed by Cacko.
I have 2 mount points shown in console for the two packages that I installed.
CODE
$ df -h
Filesystem         Size      Used Available Use% Mounted on
rootfs            19.0M     19.0M         0 100% /
/dev/root         19.0M     19.0M         0 100% /
/dev/ram1        108.0k     28.0k     80.0k  26% /dev
/dev/loop0        14.4M     14.4M         0 100% /usr
/dev/mtdblock3   102.0M     28.8M     73.2M  28% /home
none              10.0M     72.0k      9.9M   1% /dev/shm
/dev/hda1          9.5M      1.0M      8.0M  11% /hdd1
/dev/hda2          9.5M      1.1M      7.9M  12% /hdd2
/dev/hda3          3.8G     22.9M      3.8G   1% /hdd3
/dev/mmcda1      117.4M     85.0M     26.3M  76% /usr/mnt.rom/card
/dev/loop1        81.1M     81.1M         0 100% /home/system/var/mnt/pdaXqtrom-base
/dev/loop2       121.0M    121.0M         0 100% /home/system/var/mnt/pdaXqtrom-apps

Has the libfloat problem mentioned here been addressed?
http://www.oesf.org/forums/index.php?showt...ndpost&p=124465

I tried to launch Abiword from the X/Qt tab in Qtopia and it only launches X/Qt, but not Abiword.
So far, I've been able to launch Dillo and GQview.
(I can launch these from X/Qt and from Qtopia)
GQview doesn't seem to be able to "see" my picture files in any of my directories on my FAT formatted /hdd3.
Is the problem with GQview related to my FAT formatted drive? It shows the directory structure, but no files.
I haven't tried any other applications yet, but will add more to this post later.
Below is the output from console during the install process.
pdaXqtrom-base was already installed. This is from when I installed pdaXqtrom-apps.
CODE
# ./pdaXqtrom-install.sh
X/Qt super jumbo installer - version 0.3.6.1
automounter is not installed.
it is recommended to install automounter or something similar
The system has 8 loop devices.
There are 2 cramfs/squashfs images.
...purging /etc/X11
...checking for pdaXqtrom-base
...installing pdaXqtrom-base to /usr/mnt.rom/card/xqt
pdaXqtrom 1.1.0 - beta 0.7.5
Installing pdaXqtrom-base on borzoi...
...updating package info
...copying desktop config files to /opt/QtPalmtop/apps/XQt
...copying icons files to /opt/QtPalmtop/pics144
...linking files to /opt/QtPalmtop/help/html
...linking files to /opt/QtPalmtop/share/locale/ja/LC_MESSAGES
...linking files to /opt/QtPalmtop/share/themes
...linking files to /opt/QtPalmtop/share
...linking files to /opt/QtPalmtop/etc
...linking files to /opt/QtPalmtop/bin
...linking files to /opt/QtPalmtop/lib/X11
...linking files to /opt/QtPalmtop/lib/gconv
...linking files to /opt/QtPalmtop/lib/glib-2.0
...linking files to /opt/QtPalmtop/lib/gtk-2.0
...linking files to /opt/QtPalmtop/lib/locale
...linking files to /opt/QtPalmtop/lib/pango
...linking files to /opt/QtPalmtop/lib
...linking files to /usr/bin
...linking files to /usr/lib
...linking files to /usr/share
...linking files to /usr/local/bin
...linking files to /usr/local/lib
...linking files to /usr/local/share
...copying config files to /etc/X11
...copying app-defaults to /etc/X11/app-defaults
...copying defaultwm to /etc/X11/defaultwm
...copying kb to /etc/X11/kb
...copying proxymngr to /etc/X11/proxymngr
...copying rstart to /etc/X11/rstart
...copying twm to /etc/X11/twm
...copying xdm to /etc/X11/xdm
...copying xinit to /etc/X11/xinit
...copying xserver to /etc/X11/xserver
...copying xsm to /etc/X11/xsm
...copying config files to /etc/bonobo-activation
...copying config files to /etc/fonts
...copying config files to /etc/gconf
...copying config files to /etc/gnome-vfs-2.0
...copying config files to /etc/gtk-2.0
...copying config files to /etc/imlib
...copying config files to /etc/pango
...copying config files to /etc/sound
...linking X server and config
...copying xmodmaprc to /etc/X11/kb
...copying user config files to /home/zaurus
...loading libraries
...generating config files
pdaXqtrom-base configured.
...checking for pdaXqtrom-apps
...installing pdaXqtrom-apps to /usr/mnt.rom/card/xqt
pdaXqtApps - beta 0.7.5
Installing pdaXqtApps on borzoi...
...updating package info
...copying desktop config files to /opt/QtPalmtop/apps/XQt
...copying abiword.desktop to /opt/QtPalmtop/apps/XQt/abiword.desktop
...copying axyftp.desktop to /opt/QtPalmtop/apps/XQt/axyftp.desktop
...copying bluefish.desktop to /opt/QtPalmtop/apps/XQt/bluefish.desktop
...copying dia.desktop to /opt/QtPalmtop/apps/XQt/dia.desktop
...copying dillo.desktop to /opt/QtPalmtop/apps/XQt/dillo.desktop
...copying firefox.desktop to /opt/QtPalmtop/apps/XQt/firefox.desktop
...copying galculator.desktop to /opt/QtPalmtop/apps/XQt/galculator.desktop...copying gimp.desktop to

/opt/QtPalmtop/apps/XQt/gimp.desktop
...copying gnumeric.desktop to /opt/QtPalmtop/apps/XQt/gnumeric.desktop
...copying gqview.desktop to /opt/QtPalmtop/apps/XQt/gqview.desktop
...copying nedit.desktop to /opt/QtPalmtop/apps/XQt/nedit.desktop
...copying scite.desktop to /opt/QtPalmtop/apps/XQt/scite.desktop
...copying stardict.desktop to /opt/QtPalmtop/apps/XQt/stardict.desktop
...copying sylpheed.desktop to /opt/QtPalmtop/apps/XQt/sylpheed.desktop
...copying thunderbird.desktop to /opt/QtPalmtop/apps/XQt/thunderbird.desktop
...copying xarchiver.desktop to /opt/QtPalmtop/apps/XQt/xarchiver.desktop
...copying xchat.desktop to /opt/QtPalmtop/apps/XQt/xchat.desktop
...copying xmms.desktop to /opt/QtPalmtop/apps/XQt/xmms.desktop
...copying xpdf.desktop to /opt/QtPalmtop/apps/XQt/xpdf.desktop
...copying icons files to /opt/QtPalmtop/pics144
...copying abiword.png to /opt/QtPalmtop/pics144/abiword.png
...copying axyftp.png to /opt/QtPalmtop/pics144/axyftp.png
...copying bluefish.png to /opt/QtPalmtop/pics144/bluefish.png
...copying bochs.png to /opt/QtPalmtop/pics144/bochs.png
...copying dia.png to /opt/QtPalmtop/pics144/dia.png
...copying dillo.png to /opt/QtPalmtop/pics144/dillo.png
...copying ethereal.png to /opt/QtPalmtop/pics144/ethereal.png
...copying firefox.png to /opt/QtPalmtop/pics144/firefox.png
...copying flfm.png to /opt/QtPalmtop/pics144/flfm.png
...copying fltdj.png to /opt/QtPalmtop/pics144/fltdj.png
...copying galculator.png to /opt/QtPalmtop/pics144/galculator.png
...copying gimp.png to /opt/QtPalmtop/pics144/gimp.png
...copying gnumeric.png to /opt/QtPalmtop/pics144/gnumeric.png
...copying gqview.png to /opt/QtPalmtop/pics144/gqview.png
...copying grisbi.png to /opt/QtPalmtop/pics144/grisbi.png
...copying linux_debian.png to /opt/QtPalmtop/pics144/linux_debian.png
...copying minimo.png to /opt/QtPalmtop/pics144/minimo.png
...copying nedit.png to /opt/QtPalmtop/pics144/nedit.png
...copying openoffice.png to /opt/QtPalmtop/pics144/openoffice.png
...copying scite.png to /opt/QtPalmtop/pics144/scite.png
...copying stardict.png to /opt/QtPalmtop/pics144/stardict.png
...copying sylpheed.png to /opt/QtPalmtop/pics144/sylpheed.png
...copying thunderbird.png to /opt/QtPalmtop/pics144/thunderbird.png
...copying vnc.png to /opt/QtPalmtop/pics144/vnc.png
...copying xarchiver.png to /opt/QtPalmtop/pics144/xarchiver.png
...copying xchat.png to /opt/QtPalmtop/pics144/xchat.png
...copying xpdf.png to /opt/QtPalmtop/pics144/xpdf.png
...linking files to /opt/QtPalmtop/bin
...linking files to /usr/bin
...linking files to /usr/lib
...linking files to /usr/share
...linking files to /usr/local/bin
...linking files to /usr/local/share
...copying config files to /etc/gconf
...copying config files to /etc/gimp
...copying 2.0 to /etc/gimp/2.0
...copying config files to /etc/tuxpaint
...copying tuxpaint.conf to /etc/tuxpaint/tuxpaint.conf
...linking X server and config
...copying user config files to /home/zaurus
...copying .AbiSuite to /home/zaurus/.AbiSuite
...copying .dillo to /home/zaurus/.dillo
...copying .gimp-2.3 to /home/zaurus/.gimp-2.3
...copying .xmms to /home/zaurus/.xmms
...copying .xpdfrc to /home/zaurus/.xpdfrc
...loading libraries
...generating config files
pdaXqtApps configured.
...checking for zgcc2-95-2
zgcc2-95-2 not found!

X/Qt installed and configured (if found).
use xlauncher or the StartX icon to start it.
#
Jon_J
I'm thinking of installing the automounter (0.4.7)
I'm going to wait and see if Meanie replys to my post, before I install it.
Below are the reasons why I think I need it, and reason why I didn't install it earlier.

When I first installed the pdaXqtrom-base and pdaXqtrom-apps these 2 cramfs packages were already mounted.
I've been told Cacko already has an automounter, and pdaXqtrom seemed to run fine without an additional automounter.
Later, I rebooted, and my mounts to these packages were gone.
(Also on a side note, Cacko booted with different error messages, and with a black screen, instead of the Cacko graphic, and the blue Cacko background graphic).
I went into console and entered:
mount -a

Now these cramfs packages were mounted, but would NOT launch from their icons in the X/Qt tab.
I can launch startx-wrapper from the console, and the X/Qt package seems to run fine.
There are no error messages in the console.

The main reason that I didn't want to install the automounter, is because the last time I installed it, and uninstalled it, it broke my Cacko setup.
I needed to reflash Cacko, and restore a backup.
Which brings me to another reason for not installing automounter.
You need to remember to do the following when using the Qtopia backup/restore app:

You will need to turn off automounter by runnning
CODE
------------------------------
su
/etc/rc.d/init.d/mntloop stop
------------------------------
before doing any backup or restore operations.

you can then turn it back on by running
CODE
------------------------------
su
/etc/rc.d/init.d/mntloop start
------------------------------
Meanie
QUOTE(Jon_J @ Apr 27 2006, 07:10 AM)
I'm thinking of installing the automounter (0.4.7)
I'm going to wait and see if Meanie replys to my post, before I install it.
Below are the reasons why I think I need it, and reason why I didn't install it earlier.

When I first installed the pdaXqtrom-base and pdaXqtrom-apps these 2 cramfs packages were already mounted.
I've been told Cacko already has an automounter, and pdaXqtrom seemed to run fine without an additional automounter.
Later, I rebooted, and my mounts to these packages were gone.
(Also on a side note, Cacko booted with different error messages, and with a black screen, instead of the Cacko graphic, and the blue Cacko background graphic).
I went into console and entered:
mount -a

Now these cramfs packages were mounted, but would NOT launch from their icons in the X/Qt tab.
I can launch startx-wrapper from the console, and the X/Qt package seems to run fine.
There are no error messages in the console.

The main reason that I didn't want to install the automounter, is because the last time I installed it, and uninstalled it, it broke my Cacko setup.
I needed to reflash Cacko, and restore a backup.
Which brings me to another reason for not installing automounter.
You need to remember to do the following when using the Qtopia backup/restore app:

You will need to turn off automounter by runnning
CODE
------------------------------
su
/etc/rc.d/init.d/mntloop stop
------------------------------
before doing any backup or restore operations.

you can then turn it back on by running
CODE
------------------------------
su
/etc/rc.d/init.d/mntloop start
------------------------------
*


I'll check into abiword, maybe it just needs more memory because it is a big app after all.
I don't think the problem with GQview has anything to do with the file system. Maybe its a filter. What type of images do you have?

automounter is for mounting the cramfs/squashfs images for you automatically upon reboot and also for creating extra loop devices. the installer creates extra loop devices for you as well, thus it can mount the loop devices for you. however, when you reboot, the extra loop devices are gone. auto mounter recreates them for you during boot and also mounts the devices for you. Cacko, and even Sharp ROM both automatically mount the loop devices for you if they are present in /etc/fstab, but they only mount the first 2 and then run out of loop devices. automounter then creates more loop devices and mounts all the left over entries that were not previously mounted and automounter also carefully checks which entries had already been mounted and won't mount them again. Previous versions of automounter had problem on Cacko, because it also unmounted Cacko's internal loop device when you ran automounter stop. The latest version, 0.4.7 fixes this, and it also makes a backup of the usb-storage file prior to installation so when you uninstall automounter it is able to restore the usb-storage script. In the previous versions, the installer/uninstaller program just removed usb-storage.
/etc/rc.d/init.d/mntloop is now linked to /usr/bin/automounter so you can just run
automounter stop/start
DReymann
Hello,

QUOTE(Jon_J @ Apr 26 2006, 07:24 PM)
[...]
I tried to launch Abiword from the X/Qt tab in Qtopia and it only launches X/Qt, but not Abiword.

Same problem for me.

Launching abiword from the terminal ends with the following error messages:
GdkPixbuf-Warning ** Error loading XPM image loader: Image type 'xpm' is not supported

followed by three Gtk-CRITICAL ... != NULL messages.

QUOTE(Jon_J @ Apr 26 2006, 07:24 PM)
GQview doesn't seem to be able to "see" my picture files in any of my directories on my FAT formatted /hdd3.

Same for me, but does not depend on the filesystem. My jpg-files are not shown neither on fat-formatted nor on ext3-formatted partitions.

In addition I have to type "export TERM=xterm" each time I use a terminal. Default is kterm and I don't find the place to change this setting permanetly.

In general the combination of Cacko and pdaXqtrom is great.

My configuration:
Zaurus C3100, Cacko 1.23 (full), pdaXqtrom-base, pdaXqtrom-apps, xqtopenoffice, zgcc and java. All cramfs unpacked to a seperate ext3-partition (hdd4)

Detlev
Jon_J
After using some of the apps, I've made some more observations.

Xpdf takes some "getting used to". Fn+click brings up a menu.
'O' (or 'o') opens the file open dialog. It took me some time to navagate to my /pdf directory.
I opened several *.PDF files with no problem. Some were slower than others.
Xpdf actually, partially opened my troublesome map of Illinois. (Maybe I didn't wait long enough)
This PDF map requires Picsel Browser to open otherwise.

Gimp has a dialog that pops up stating it requires FreeType 2.1.7 or later.
This dialog says Gimp is using FreeType 2.1.5
Gimp will not launch. I haven't tried locating a newer version of FreeType.
Installing FreeType 2.1.7 or later should fix this, I'm not sure how this is done, as all my apps are in a readonly cramfs image.

TuxPaint doesn't launch, I just noticed it isn't included, although it is listed in the "Multimedia" menu under X applications.

FileManager is also missing. It won't launch from the pdaXqtrom menu. I would think pdaXqtrom would have a file manager.

Firefox has a problem with the "Prefrences" settings dialog. (see pic)
It is too large and extends off the top and bottom of the screen, (in landscape, I didn't try rotating my C3100's screen to portrait).
There is no access to the [OK] [Cancel] dialogs after making settings changes.
The cancel button on my keyboard closes the dialog.
Does the 'OK' or [Enter] button on the keyboard equal the [OK] on the dialog?
Also I have not figured out how to navagate the file directory when trying to open an offline HTML file.
I could type the path into the location box to open an offline file,
but I've got a bad memory and I have to switch to a file manager to find the paths or write them down.

These are just observations.
I'm not complaining, and I think Meanie has gone to great lengths to just get these things working on our Zaurii. smile.gif
Meanie
New updated version is now ready for testing. lots of enhancements and fixes...
http://zaurus.daemons.gr/menaie/mirror/jum....html#pdaxqtrom
ShiroiKuma
QUOTE(Meanie @ May 3 2006, 12:00 AM)
New updated version is now ready for testing. lots of enhancements and fixes...
http://zaurus.daemons.gr/menaie/mirror/jum....html#pdaxqtrom
*

Does Alt+drag not work anymore in this version? Before Home was remapped to Alt, so pressing Home and holding enabled you to drag a window. Now I am not able to do this... Is it some other key?
Meanie
QUOTE(ShiroiKuma @ May 3 2006, 10:25 PM)
QUOTE(Meanie @ May 3 2006, 12:00 AM)
New updated version is now ready for testing. lots of enhancements and fixes...
http://zaurus.daemons.gr/menaie/mirror/jum....html#pdaxqtrom
*

Does Alt+drag not work anymore in this version? Before Home was remapped to Alt, so pressing Home and holding enabled you to drag a window. Now I am not able to do this... Is it some other key?
*



you can always tap on the title bar and drag the window around. i didn't know you had to press alt as well smile.gif but I didnt change the key mapping because nobody had reported any problems with the keys before. they are still the same as before so it looks like we will now concentrate on the key mappings smile.gif
ShiroiKuma
QUOTE(Meanie @ May 3 2006, 01:58 PM)
you can always tap on the title bar and drag the window around. i didn't know you had to press alt as well smile.gif but I didnt change the key mapping because nobody had reported any problems with the keys before. they are still the same as before so it looks like we will now concentrate on the key mappings smile.gif
*

The problem is that when the window is so huge that you need to drag it really high to be able to grab the bottom edge to resize it. This way you can't tap the title bar and drag it because you run out of space. You need the Alt+drag combo.

And I can't get it working now, it doesn't do anything...
freebird
QUOTE(Meanie @ May 2 2006, 11:00 PM)
New updated version is now ready for testing. lots of enhancements and fixes...
http://zaurus.daemons.gr/menaie/mirror/jum....html#pdaxqtrom
*

Hi all
The pdaxqtrom-base-cramfs seems to be corrupted it is only 94k !!!

btw: what is the deference between cramfs and squashfs
and is it the same code to mount i mean: mount -o loop xxxx.squashfs /mnt/


freebird
Jon_J
freebird, download it again. My copy is 35.6MB (cramfs ver)

Meanie, the new version is squashfs.
I haven't used the zgcc2-95-2 on my Zaurus, but now with the new squashfs version, will zgcc2-95-2.cramfs work with it?
There doesn't seem to be a zgcc2-95-2.squashfs available now.

I installed the new version to my hard drive /hdd3/xqt
It seems to run fine this way. Now I don't need to always have a card inserted. (I can leave my Picsel card in the slot).
I have a couple questions.
Install said I have an older version of automounter installed.
I do have automounter 0.4.7 installed, but there seem to be two versions of this version.
One is dated March 1 (3/1/06)
One is dated April 1 (4/1/06)
I just downloaded the latest version, automounter-c3000_0.4.7_arm.zip (4/1/06)
I'm afraid to uninstall the old version, so I can install the new one.
(Uninstalling it broke my cacko automount, the last time I uninstalled it)
How can I just copy the new binaries over the old ones? (There isn't a tar.gz inside the IPK)
I may not need the new version installed, since the version I have now, seems to work at the moment.

What is the X/QT embedded icon used for? It launches a gray screen, with no right-clickable options.
I didn't download the new pdaXqtrom-apps.squashfs yet. My connection got dropped in last night's storm.
I'll download it later tonight.
Since I have a basically clean install, can I install just any pdaXrom app from the pdaXrom feeds?
I would like to try some of the games compiled for pdaXrom.
Thank you,
Jobn
adf
how's the speed on the pdaxqtrom stuff? My ealier xqt/debian experience was disappointing....firefox was awfully slow. Are we seeing improvements here? I ask, because this would be really nice add-on to an updated guylhem-rom on my 6000 (i hope).
Jon_J
QUOTE(adf @ May 3 2006, 02:54 PM)
how's the speed on the pdaxqtrom stuff?  My ealier xqt/debian experience was disappointing....firefox was awfully slow. Are we seeing improvements here?  I ask, because this would be really nice add-on to an updated guylhem-rom on my 6000 (i hope).
*

Sorry, I don't know yet. The base shell seems to take about as long to launch.
I haven't downloaded the apps yet. I'll have to wait till tonight to download these.
(My download was interrupted last night by a storm). I have the base installed as mentioned above in my previous post.
I already have the previous version of apps, but these are in cramfs, and this newer pdaXqtrom is squashfs.
Jon_J
I'm having problems with automounter. It doesn't mount my pdaXqtrom squashfs.
It worked just after I installed pdaXqtrom and apps, but as soon as I rebooted, the automounter didn't do what it is supposed to do.
I have pdaXqtrom and apps squashfs and installer.sh in /hdd3/xqt
I just installed automounter 0.4.7 again, (I used the April-1-06 version, I uninstalled the one from March).
Read my post #11 above, (I had 2 different versions of automounter 0.4.7)
The reason I rebooted is because these apps won't launch:
Abiword
(I get launch msg, then a white box, then xqt embedded stops and the icon dissappears off the taskbar)
Dia (same as above, but no white box)
Firefox (same as above with white box)
Stardict didn't launch, I forgot the error message

Dillo works
Gimp works, but is fussy and takes a long time to navagate my picture files and gives an error msg about not being able to open *.png images when I try to open a *.jpg image.

I tried launching them from Qtopia. (This was just after a fresh install, and the squashfs items were mounted.)
I have a persistant problem when using the pdaXqtrom-install.sh
It gives me an error with either one of the 0.4.7 versions of automounter installed:
"older version of automounter installed, please update"

I did update it and I still get the error.

Could this be my problem with some of the apps not working?
Meanie
QUOTE(ShiroiKuma @ May 3 2006, 11:07 PM)
QUOTE(Meanie @ May 3 2006, 01:58 PM)
you can always tap on the title bar and drag the window around. i didn't know you had to press alt as well smile.gif but I didnt change the key mapping because nobody had reported any problems with the keys before. they are still the same as before so it looks like we will now concentrate on the key mappings smile.gif
*

The problem is that when the window is so huge that you need to drag it really high to be able to grab the bottom edge to resize it. This way you can't tap the title bar and drag it because you run out of space. You need the Alt+drag combo.

And I can't get it working now, it doesn't do anything...
*



did you try menu + h or menu + w?
i think the keymapping will be a very difficult one since every machine class has a different keyboard and there is differences between the default sharp rom and cacko keymappings and also depends whether keyhelper and/or cyrkeyboard is running or not. i will need people using various different models with sharp rom and cacko to help me with this.
Meanie
QUOTE(Jon_J @ Apr 28 2006, 02:13 AM)
After using some of the apps, I've made some more observations.

Xpdf takes some "getting used to". Fn+click brings up a menu.
'O' (or 'o') opens the file open dialog. It took me some time to navagate to my /pdf directory.
I opened several *.PDF files with no problem. Some were slower than others.
Xpdf actually, partially opened my troublesome map of Illinois. (Maybe I didn't wait long enough)
This PDF map requires Picsel Browser to open otherwise.

Gimp has a dialog that pops up stating it requires FreeType 2.1.7 or later.
This dialog says Gimp is using FreeType 2.1.5
Gimp will not launch. I haven't tried locating a newer version of FreeType.
Installing FreeType 2.1.7 or later should fix this, I'm not sure how this is done, as all my apps are in a readonly cramfs image.

TuxPaint doesn't launch, I just noticed it isn't included, although it is listed in the "Multimedia" menu under X applications.

FileManager is also missing. It won't launch from the pdaXqtrom menu. I would think pdaXqtrom would have a file manager.

Firefox has a problem with the "Prefrences" settings dialog. (see pic)
It is too large and extends off the top and bottom of the screen, (in landscape, I didn't try rotating my C3100's screen to portrait).
There is no access to the [OK] [Cancel] dialogs after making settings changes.
The cancel button on my keyboard closes the dialog.
Does the 'OK' or [Enter] button on the keyboard equal the [OK] on the dialog?
Also I have not figured out how to navagate the file directory when trying to open an offline HTML file.
I could type the path into the location box to open an offline file,
but I've got a bad memory and I have to switch to a file manager to find the paths or write them down.

These are just observations.
I'm not complaining, and I think Meanie has gone to great lengths to just get these things working on our Zaurii. smile.gif
*


pdaXtqrom comes with freetype 2 0.17 but you might have an older version lying around which got used instead.
i decided not to include tuxpaint
flfm and rox are now available in the new version
i will need to recompile firefox to fix the preference dialog box. not done yet. will be done later if time permits. ok/cancel should work though
standard URL syntax: file:///mnt/card...
Meanie
QUOTE(freebird @ May 4 2006, 02:47 AM)
QUOTE(Meanie @ May 2 2006, 11:00 PM)
New updated version is now ready for testing. lots of enhancements and fixes...
http://zaurus.daemons.gr/menaie/mirror/jum....html#pdaxqtrom
*

Hi all
The pdaxqtrom-base-cramfs seems to be corrupted it is only 94k !!!

btw: what is the deference between cramfs and squashfs
and is it the same code to mount i mean: mount -o loop xxxx.squashfs /mnt/


freebird
*



sorry about that. my network dropped during my file uploads. hopefully all the files are up now.

the difference between cramfs and squashfs is that squashfs has better compression and thus is smaller and thus uses less space smile.gif
so why did I provide two versions? welll, cramfs is supported by all the ROMs/distros by default so everyone can use it without hassle. squashfs is not supported out of the box by all distros but most have a kernel module available that you can install to enable squashfs support. mounting them is the same. the mount command in most distros is smart enough to detect and load the proper modules for the loop devices. if you have a braindead version of mount, then you can use the -t option to tell it what to use, ie -t cramfs, -t squashfs, -t ext2, etc...
well, I am also planning to release a tgz version which basically installs to an ext2/ext3 partition directly without using a loop device but this version I will hold back on until later.
Meanie
QUOTE(Jon_J @ May 4 2006, 06:09 AM)
QUOTE(adf @ May 3 2006, 02:54 PM)
how's the speed on the pdaxqtrom stuff?  My ealier xqt/debian experience was disappointing....firefox was awfully slow. Are we seeing improvements here?  I ask, because this would be really nice add-on to an updated guylhem-rom on my 6000 (i hope).
*

Sorry, I don't know yet. The base shell seems to take about as long to launch.
I haven't downloaded the apps yet. I'll have to wait till tonight to download these.
(My download was interrupted last night by a storm). I have the base installed as mentioned above in my previous post.
I already have the previous version of apps, but these are in cramfs, and this newer pdaXqtrom is squashfs.
*



That's good smile.gif because its actually loading a lot more stuff now. For those who only want English, you probably don't like this but it now loads an IM engine to allow you to input different languages, ie Japanese and Chinese
Meanie
QUOTE(Jon_J @ May 4 2006, 03:51 AM)
freebird, download it again. My copy is 35.6MB (cramfs ver)

Meanie, the new version is squashfs.
I haven't used the zgcc2-95-2 on my Zaurus, but now with the new squashfs version, will zgcc2-95-2.cramfs work with it?
There doesn't seem to be a zgcc2-95-2.squashfs available now.

I installed the new version to my hard drive /hdd3/xqt
It seems to run fine this way. Now I don't need to always have a card inserted. (I can leave my Picsel card in the slot).
I have a couple questions.
Install said I have an older version of automounter installed.
I do have automounter 0.4.7 installed, but there seem to be two versions of this version.
One is dated March 1 (3/1/06)
One is dated April 1 (4/1/06)
I just downloaded the latest version, automounter-c3000_0.4.7_arm.zip (4/1/06)
I'm afraid to uninstall the old version, so I can install the new one.
(Uninstalling it broke my cacko automount, the last time I uninstalled it)
How can I just copy the new binaries over the old ones? (There isn't a tar.gz inside the IPK)
I may not need the new version installed, since the version I have now, seems to work at the moment.

What is the X/QT embedded icon used for? It launches a gray screen, with no right-clickable options.
I didn't download the new pdaXqtrom-apps.squashfs yet. My connection got dropped in last night's storm.
I'll download it later tonight.
Since I have a basically clean install, can I install just any pdaXrom app from the pdaXrom feeds?
I would like to try some of the games compiled for pdaXrom.
Thank you,
Jobn
*


you can mix the cramfs/squashfs files. it does not matter as long as you have one of them. the main difference between them is the size. the content is the same as long as you have the same version of the cramfs/squashfs image of course . each image has a version script. just cd to the mounted image and do a ./version - the current version is beta 0.7.6

the X/Qt embedded icon is just like the X/Qt Server icon. don't click on it but also don't remove it either. both are needed for launching the apps. the icon you see on the taskbar when X/Qt is running is taken from those two depending on which it is running in.
yes, you can install the apps. I tried to clean them up, but I got tired and might have missed cleaning a few of them so you might need to tweak them a bit after installation, ie run the mkqticon script.
i also just compiled the latest grisbi 0.5.8 so its not available on the apps image yet but you can add it by simply installing the ipk file once I upload it smile.gif
thurifer13
Meanie, firstly thanks, thanks, thanks, for all your wonderful work. Finding your website was the last element to fall into place in the decision making process I went through regarding replacing my old PalmOS device with something more capable.

However, I am struggling with this X stuff. I switched from pdaxrom because it just wasn't stable enough and was too slow in some areas. However, I really do need the email handling of something like sylpheed and the wordprocessing capabilities of abiword or better.

Since switching to Cacko (1.23) I have never once been able to get Abiword to work and while Sylpheed ran under X/Qt, it isn't now that I have switched to PdaXqtrom sad.gif

Sylpheed gives lots of GdxPixbuf warnings about 'xpm' images not being supported and the failure then to load the images.

But then it comes up with 3 GtK-CRITICALs:

gtk_pixmap_new: assertion `val != NULL' failed

gtk_box_pack_start: assertion `GTK_IS_WIDGET (child)' failed

gtk_box_reorder_child: assertion `GTK_IS_WIDGET (child)' failed

and then ends with a segmentation fault.

(These look like the symbol after the assertion is a grave (`) and the one before failed is an apostrophe ('). Is this how they should be? Or does this point to the problem?)

Abiword has a pixbuf warning and then three CRITICALs:

gtk_icon_set_new_from_pixbuf: assertion `pixbuf != NULL' failed

gtk_icon_factory_add: assertion `icon_set != NULL' failed

gtk_icon_set_unref: assertion `icon_set != NULL' failed

and then the message Aborted comes up.

This is all on a fresh reinstall of Cacko.

----------------------------------------------
Later:

Hmmmmmm,

then I loaded some additional programs. Included was the gdk-pixbuf package from cacko with its cacko gtk and xlibs dependencies.

Now all the pixbuf and icon warnings and criticals are gone biggrin.gif
but I now have the "error while loading shared libraries: /home/QtPalmtop/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new" error and now programs that did work (like gnumeric) don't. sad.gif

Note that this particular file is still a link to the pdaXqtrom-base file!!! It hasn't changed. So it must be something else which is connected to libgtk which has changed... yes???

Should I try to install the cacko gdk-pixbuf package without its dependencies with the --force switch? Do you have a gdk-pixbuf package in the pdaXqtrom image? Maybe its not being linked correctly? Or ... ?

Doug
Meanie
Cacko does not have X/Qt packages. The packages you may see in some Cacko mirrors are the older xqt packages. Your problem is that it is picking up an older version of glib2. pixbuf etc, are part of the gtk2 libraries which depend on glib2 libraries. Seems like you have an older glib2 library lying around that is loaded before the pdaxqtrom one and causing all these problems. some programs can run fine with the older glib2 libraries and hence some apps work for you, but others require the newer lib.

you had older gtk/glib libraries installed before which tricked pdaXqtrom into believing that the correct version was already installed. then you force installed even more older libraries which broke even more apps.
try running the xqtcleanup script and then make sure there is no more libglib* under /usr/lib/ and then try again.
adf
just installed pdaxqtrom base and apps using the cramfs and the script on my 3100 sharprom/tetsu.
put the cramfs on /hdd3 (formatted fat32)
the icons don't fully launch anything
sudo is installed

doing "startx" in a console give me an xqt screen that crashes, saying:
fluxbox: error while loading shared libraries: /home.QtPalmtop/lib/libfontconfig.so.1: undefined symbol :FT_Get_PS_Font_info

I haven't installed automounter yet.


I gather the problem is an unconfigured (though I ran ldconfig) lib, or an uninstalled one.

Anyone got a fix?
adf
QUOTE(adf @ May 19 2006, 05:55 PM)
just installed pdaxqtrom base and apps using the cramfs and the script on my 3100 sharprom/tetsu.
put the cramfs on /hdd3 (formatted fat32)
the icons don't fully launch anything
sudo is installed

doing "startx" in a console give me an xqt screen that crashes, saying:
fluxbox: error while loading shared libraries: /home.QtPalmtop/lib/libfontconfig.so.1: undefined symbol :FT_Get_PS_Font_info

I haven't installed automounter yet.


I gather the problem is an unconfigured (though I ran ldconfig) lib, or an uninstalled one.

Anyone got a fix?
*

I grabbed some liley looking libs from cacko. xqt loads, but dillo segfaults, and firefox does nothng
adf
Fixed. Just a matter of finding libraries.

on the Apps side, though, firefox could use some plugins. I had guesssed that since meanie had gotten java to work on firefox that we'd at least see that.

Would it be unreasonable to ask for firefox with a java plugin, gplflash1 (2 seems buggy still) and the mplayer plugin in the next apps cramfs?

Is it possible to get plugins going inthe cramfs apps version?

The sharprom/pdaxqtrom/tetsu is an excellent option for my 3100. The thing is, firefox without plugins isn't really much better than opera when you consider the long load times under xqt. I had hoped to see opera/netfront as quick opening modestly powered solutions on sharprom, and a loaded firefox on pdaXqt as a high end alternative.
Still the tabbed X setup w/ pdax apps reallly adds to the qt 1.5 rom. Nice job!
Meanie
QUOTE(adf @ May 21 2006, 08:31 AM)
Fixed.  Just a matter of finding libraries.

on the Apps side, though, firefox could use some plugins.  I had guesssed that since meanie had gotten java to work on firefox that we'd at least see that.

Would it be unreasonable to ask for firefox with a java plugin, gplflash1 (2 seems buggy still) and the mplayer plugin in the next apps cramfs?

Is it possible to get plugins going inthe cramfs apps version?

The sharprom/pdaxqtrom/tetsu is an excellent option for my 3100. The thing is, firefox without plugins isn't really much better than opera when you consider the long load times under xqt. I had hoped to see opera/netfront as quick opening modestly powered solutions on sharprom, and a loaded firefox on pdaXqt as a high end alternative.
Still the tabbed X setup w/ pdax apps reallly adds to the qt 1.5 rom.  Nice job!
*


java is not working properly yet so until it does i am not going to bundle a plugin for it.

jamvm 1.4.2 is stable but requires classpath.
classpath 0.20 is working for some apps
classpath 0.90 is still crashing
when jedit works properly, then i will consider classpath to be reasonable stable
then i will make the firefox plugin
have to build new version of mplayer to work with plugin because bvdd version of mplayer will not work embedded in firefox, so have to build mplayer first before building mplayer plugin
gplflash, well, it takes time to build all this.
it takes hours to compile little apps on a Zaurus.
it is much faster to compile things on a big powerfull desktop, but for that i need to be at home where all my PCs are, but i am not there much...
adf
I guessed java might be a problem.

why not tunnel to a desktop computer and do things over secure shell, if you are inclined? Of course, if you are pointedly away from the computers or otherwise occupied it isn't a very good idea...

there are suitable static mplayers around, if that is what is needed.
Thirrouard
Meanie? Why don't you provide the squashfs version anymore?
Is it in order to provide just a single files?
Anyway I didnt had problem with squashfs, and as its smaller and faster, I prefer this to cramfs... How can I do a squashfs from the cramfs you provide?
I can't find the OOo image anymore, I'm wondering if I look at the right place tongue.gif
The place I find your pdaXqtrom files is here: http://www.thegrinder.ws/Meanies_XQT/pdaxqtrom/

Is this the version 0.7.8?
[ ] pdaXqtrom-apps.cramfs 15-May-2006 14:08 68.9M
[ ] pdaXqtrom-base.cramfs 15-May-2006 13:34 51.0M
Meanie
QUOTE(Thirrouard @ May 23 2006, 08:37 AM)
Meanie? Why don't you provide the squashfs version anymore?
Is it in order to provide just a single files?
Anyway I didnt had problem with squashfs, and as its smaller  and faster, I prefer this to cramfs... How can I do a squashfs from the cramfs you provide?
I can't find  the OOo image anymore, I'm wondering if I look at the right place tongue.gif
The place I find your pdaXqtrom files is here: http://www.thegrinder.ws/Meanies_XQT/pdaxqtrom/

Is this the version 0.7.8?
[  ] pdaXqtrom-apps.cramfs  15-May-2006 14:08  68.9M 
[  ] pdaXqtrom-base.cramfs  15-May-2006 13:34  51.0M
*


well, its because I haven't had time to do so yet. it takes me about 4 hours to upload them and that's quite expensive over gprs or from an internet cafe.
i am on the road most the time and currently in melbourne. i am not even sure yet where I will be next week.
yes, the above is 0.7.8 and currently the latest. i am working on 0.7.9 which will add java and plugins...
the ooo files got lost during the restructure of thegrinder sad.gif i will need to re-upload when i have time.
in the meantime, you can try the following: http://zaurus.daemons.gr/menaie/pdaxrom/ this openoffice image works for both pdaXrom and X/Qt
adf
I can't seem to do secure-shell X forwarding from my Z to a desktop in pdaxqtrom. I kep getting "cannot open display" errors. It looks suspiciously like xforwading is maybe not turned on in the sshd.config? How would I fix this is a cramfs? Or, possibly, if this is indeed the issue, could it be fixed so forwarding is on as a default in the next release?

If I'm wrong about the problem, any other ideas to get xforwarding from my z to a desktop in pdaxqt?

currently cacko/pdaxqt z 3100 (sharprom was being a painn, so i flased to cacko--much easier)
moe
Seems I also have a gtk related problem..
After a clean install of Cacko light 1.23 on C1000, I installed Xqt using the 5/15 build.

In this setup, abiword, GIMP, FileManager, Rox, GAIM, SCIM and some other programs failed to launch.. almost all of them encounter error related to gtk library..

Since I am a newbie to both linux and zaurus, I have no idea how to isolate the problem.. could you give me any advice?
adf
a few posts up meanie posted "...try running the xqtcleanup script and then make sure there is no more libglib* under /usr/lib/ and then try again."

I'm sure the script is somewhere on his site.
bluedevils
I tried pdaxqtrom today and got the gtk errors trying to run gqview. I also ran the xqtcleanup script under the tools directory, but I still get the same errors.

g_option_context_new
adf
QUOTE(bluedevils @ May 26 2006, 08:10 PM)
I tried pdaxqtrom today and got the gtk errors trying to run gqview.  I also ran the xqtcleanup script under the tools directory, but I still get the same errors.

g_option_context_new
*

Yeah... I got a new error about being unable to open png on gimp after running the script.

I'm using the cramfs apps file at the moment. Has anyone tried insatlling the apps with ipkg and only using the base cramfs? any difference in performance, or types of errors? Anyhing work in ipk form that didn't in cramfs (like jamvm & classpath)?
moe
QUOTE(adf @ May 26 2006, 11:39 PM)
a few posts up meanie posted "...try running the xqtcleanup script and then make sure there is no more libglib* under /usr/lib/ and then try again."

I'm sure the script is somewhere on his site.
*


Thank you for kindly pointing out smile.gif
However, I tried the process mentioned above (mnt/pdaxqtrom-base/tools/xqtcleanup -yes, then rm libglib* in /usr/lib/)
and I still experience the same problem, this time accompanied with another error looks like this

CODE
BScreen::BScreen: managing screen 0 using visual 0x21, depth 16
2036: Segmentation fault
FbTk::Transparent: Failed to find format for Screen(0)
FbTk::Transparent: Failed to find format for Screen(0)
dozens of the above line...

Unknown ClientMessage

Keys: Failed to merge keytree!


Is there anything I missed?
adf
QUOTE(moe @ May 27 2006, 03:51 PM)
QUOTE(adf @ May 26 2006, 11:39 PM)
a few posts up meanie posted "...try running the xqtcleanup script and then make sure there is no more libglib* under /usr/lib/ and then try again."

I'm sure the script is somewhere on his site.
*


Thank you for kindly pointing out smile.gif
However, I tried the process mentioned above (mnt/pdaxqtrom-base/tools/xqtcleanup -yes, then rm libglib* in /usr/lib/)
and I still experience the same problem, this time accompanied with another error looks like this

CODE
BScreen::BScreen: managing screen 0 using visual 0x21, depth 16
2036: Segmentation fault
FbTk::Transparent: Failed to find format for Screen(0)
FbTk::Transparent: Failed to find format for Screen(0)
dozens of the above line...

Unknown ClientMessage

Keys: Failed to merge keytree!


Is there anything I missed?
*


I guess not. I hadn't tried it 'til after i posted. It didn't solve any of my problems either. You have to admit, though-it did look promising
moe
Found some scripts in the other thread, and after these scripts abiword starts.
And so do some other programs such as GAIM, SCIM config and Rox is also working fine. Hurray!
Stardict launched, however no Dict installed. That should not be a problem^^

run this code then re-run install script
CODE
rm /opt/QtPalmtop/libpng*
rm /etc/gtk-2.0/gdk-pixbuf.loaders

and
CODE
su
ln -sf /opt/QtPalmtop/lib/gtk-2.0 /usr/lib/gtk-2.0
gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders


However, I failed to use SCIM in abiword. Even after i start SCIM from the terminal, and assigned Hotkeys for the IM I want to use, SCIM still won't work. (I can already see the small SCIM icon hanging on the toolbar of flux)

And, although I know this might happen, IM for sharp rom (ckeyboard) does not work in abiword. Although in the Text editor I can see the incorrect fonts show up, but I can't find unisun in TextEditor. So I still have no way to input chinese in X..

Is there something else need to be done to make SCIM work?
SCIM is one main reason why I want the X environment ^^a
--
Besides, the freetype version too old message still shows up when I try to start GIMP.. not knowing how to uninstall free type inside X, so I still cannot start GIMP
adf
it worked! gimp now runs on my cacko/pdaxqt setup (all cramfs btw)

thanks smile.gif
moe
QUOTE(adf @ May 28 2006, 01:00 PM)
it worked!  gimp now runs on my cacko/pdaxqt setup (all cramfs btw)

thanks smile.gif
*


How do you uninstall the freetype?
Or.. what did you do to make it work?
adf
QUOTE(moe @ May 28 2006, 06:15 AM)
QUOTE(adf @ May 28 2006, 01:00 PM)
it worked!  gimp now runs on my cacko/pdaxqt setup (all cramfs btw)

thanks smile.gif
*


How do you uninstall the freetype?
Or.. what did you do to make it work?
*


no idea. i did remove /opt/QtPalmtop/lib/libpng* I think you left lib out of that path?

other then thant I just fuolowed your directions --put in each line in order, then ran the pdaxqt install.

Have you tried finding and exterminating all freetype and then playing with installations? kinda obvious I suppose, but if you haven't tried...
moe
Thanks for shedding the light

Got GIMP working.. the freetype problem is solved after the below command
CODE
su
cd /opt/Qtpalmtop/lib/
ln -sf libfreetype.so.6.3.8 libfreetype.so
ln -sf libfreetype.so.6.3.8 libfreetype.so.6


After this the freetype lib is redirected to the correct version, and GIMP runs.
Thanks again, Meanie, this package really rocks.
If there are any info about how to get SCIM input forgien character correctly, that will be even better^^
Meanie
QUOTE(moe @ May 29 2006, 02:54 AM)
Thanks for shedding the light

Got GIMP working.. the freetype problem is solved after the below command
CODE
su
cd /opt/Qtpalmtop/lib/
ln -sf libfreetype.so.6.3.8 libfreetype.so
ln -sf libfreetype.so.6.3.8 libfreetype.so.6


After this the freetype lib is redirected to the correct version, and GIMP runs.
Thanks again, Meanie, this package really rocks.
If there are any info about how to get SCIM input forgien character correctly, that will be even better^^
*


you could had also just uninstalled freetype from the qinstaller gui found under settings tab on the qt desktop before running pdaxqtrom-base-setup
as for scim, are there any error messages in the terminal? maybe you need to assign a different key sequence to activate the scim input panel. ctrl or alt + space usually activates it. also make sure the file monolingual does not exist because that disables the scim input module.
moe
QUOTE(Meanie @ May 30 2006, 05:47 PM)
you could had also just uninstalled freetype from the qinstaller gui found under settings tab on the qt desktop before running pdaxqtrom-base-setup
as for scim, are there any error messages in the terminal? maybe you need to assign a different key sequence to activate the scim input panel. ctrl or alt + space usually activates it. also make sure the file monolingual does not exist because that disables the scim input module.
*

opps.. there is a monolingual file.. And the SCIM works now.
Thank you Meanie, this is a excellent package for newbies.
bluedevils
I would like to run the sharp rom version of gaim instead. Is this going to screw this up as I remember making some libpng links to get it going?

QUOTE(moe @ May 27 2006, 10:47 PM)
run this code then re-run install script
CODE
rm /opt/QtPalmtop/libpng*
rm /etc/gtk-2.0/gdk-pixbuf.loaders

and
CODE
su
ln -sf /opt/QtPalmtop/lib/gtk-2.0 /usr/lib/gtk-2.0
gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders

*
moe
I tried to install Gaim, said failed to extract some file.
Don't know how to solve it yet.

How do I install TTF fonts? trying to link font to /opt/QtPalmtop/lib/X11/font/TTF/ but it is not writable..
xamindar
How can I grab a window with the mouse and drag it so that I can resize it? For example, on my linux box I can hold alt and then anywhere I click on a window will grab it so I can move it.

At the moment my gaim im window is at something like 800x600 and I am not able to get to any borders to resize it.
Meanie
QUOTE(bluedevils @ May 31 2006, 04:16 AM)
I would like to run the sharp rom version of gaim instead.  Is this going to screw this up as I remember making some libpng links to get it going?

QUOTE(moe @ May 27 2006, 10:47 PM)
run this code then re-run install script
CODE
rm /opt/QtPalmtop/libpng*
rm /etc/gtk-2.0/gdk-pixbuf.loaders

and
CODE
su
ln -sf /opt/QtPalmtop/lib/gtk-2.0 /usr/lib/gtk-2.0
gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders

*

*



shouldn't be a problem. gaim needs a newer version of libpng which is what pdaxqtrom is using too.
the above steps aren't required. most of them were needed because of existing/older/corrupted installs
Raul
I cannot get any application to work except xpdf and x48.
All other I've checked gave me:
xxx : error while loading shared libraries: /home/QtPalmtop/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new.

Could anyone help me?

I'm using cramfs images base and apps.

Kind regards,
Raul
Cresho
Not sure but you need to delete all files from previous install. Same happened to me and since i was between roms, i tried a fresh install.

or you can startx and fn+styles click on screen and use the menu to launch the applications. the icons on the qt env, does not work for me.
Raul
I run xqtcleanup script. Installed pdaXqtrom once again.
And it's the same.

What should I delete?

Kind regards,
Raul
Meanie
QUOTE(Raul @ Jun 4 2006, 05:17 AM)
I run xqtcleanup script. Installed pdaXqtrom once again.
And it's the same.

What should I delete?

Kind regards,
Raul
*


try

rm -rf /opt/QtPalmtop/lib/libglib*
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.